Returns the contact details for a specific business.
To access this Business Contacts endpoint the authorised user must have the Access Controller role in Class for the specified business.
Security
Class_oAuth(Required scopes: business.details.read)
- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/b/{businessCode}/business-data/business-contacts
- Production Environmenthttps://api.class.com.au/api/1.0/b/{businessCode}/business-data/business-contacts
curl -i -X GET \
https://api.class-pie.com.au/api/1.0/b/demo-business/business-data/business-contacts \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "data": [ { "id": "37375568-8612-4620-a752-adf8582bdf9b", "firstName": "John", "middleNames": "", "lastName": "Doe", "organisationName": null, "email": "John.Doe.au1234@testemail.com.au", "partyRelationships": [ { "roleType": "Auditor Admin", "scope": "DEMO_SMSF_123", "scopeType": "Fund", "invitationStatus": "Not Invited" }, { "roleType": "Adviser", "scope": "DEMO_SMSF_2024", "scopeType": "Fund", "invitationStatus": "Not Invited" }, { "roleType": "Adviser", "scope": "Johntest", "scopeType": "Business", "invitationStatus": "Not Invited" } ] }, { "id": "adfa2440-216e-4697-9fa2-b1607714a56f", "firstName": "Mark", "middleNames": "", "lastName": "Test", "organisationName": null, "email": "testemail@test.com.au", "partyRelationships": [] }, { "id": "daa0fc08-0feb-4baf-afff-f37289b81da4", "firstName": "Test", "middleNames": "", "lastName": "User", "organisationName": null, "email": "testtest@testtest.com.au", "partyRelationships": [ { "roleType": "Access Controller", "scope": "Johntest", "scopeType": "Business", "invitationStatus": "Accepted" } ] } ], "Errors": [] }